﻿--[[
Name: HealPoints qps-PLOC locale
Revision: $Revision: 113 $
Translated by: 
- Pauladin@Elune
]]

local debug = false
local localeName = "qpsPLOC"

if (debug) then
	--localeName = "enUS";
end;

--[===[@debug@
--debug = true
--@end-debug@]===]
local L = LibStub("AceLocale-3.0"):NewLocale("HealPoints", localeName, true, debug) --true=this is the default locale
if not L then return end

-- To translate AceLocale strings, replace true with the translation string
-- Before: L["Show Item ID"] = true
-- After:  L["Show Item ID"] = "顯示物品編號"

--------------
-- Tooltips --
--------------
	L["HealPoints"] = "HëãlÞóìñtš";
	L["PowerPoints"] = "ÞówërÞóìñtš";
	L["EndurancePoints"] = "ÊñdürãñçëÞóìñtš";
	L["Heal Points"] = "Hëãl Þóìñtš";
	L["Power Points"] = "Þówër Þóìñtš"
	L["Endurance Points"] = "Êñdürãñçë Þóìñtš";
	L["Relative Stat Values"] = "Rëlãtìvë Štãt Vãlüëš";
	L["Hint: Click to toggle the calculator window"] = "Hìñt: Çlìçk tó tógglë thë çãlçülãtór wìñdów";
	L["Right-click to open the options menu"] = "Rìght-çlìçk tó óþëñ thë óþtìóñš mëñü";
	L["Hint: Click to show the HealPoints calculator"] = "Hìñt: Çlìçk tó šhów thë HëãlÞóìñtš çãlçülãtór";

	
	L[" (Top/Bottom):"] = " (Tóþ/ßóttóm):";
	L[" (Main/Off):"] = " (Mãìñ/Õƒƒ):";
	L[" (Main+Off):"] = " (Mãìñ+Õƒƒ):";


---------------------------------------------------------------
-- HealPoints.lua - function HealPoints:listScannedBonuses() --
---------------------------------------------------------------
	L["Special set/equip bonuses detected:"] = "Spëĉḯắl sɇt/ěquip ƃonusés ḋêtèƈtẽı:";
	
	--Paladin
	L["Bonus_HolyShock_SpellPowerPercent"] = "Inƈrẽẫsȅs thẹ ęffěċtivḝ spȅll powȇr of your Holy Shoȼk whĕn usệƌ ắs ȁ hệǡling spềll ᵬỷ %s\%";
	L["Bonus_FlashOfLight_SpellPower"] = "Inčrėẚsěs spēll powḕr of Flȁŝh ōf Light ƀẙ %s";
	L["Bonus_FlashOfLight_SpellPowerPercent"] = "Ĭnċrẻǻsẹs spèll powėr of Flấsh òf Light ḃy %s\%";
	L["Bonus_HolyLight_SpellPower"] = "Îñçrëãšëš šþëll þówër óƒ Hólý Lìght bý %s";
	L["Bonus_HolyLight_ManaCost"] = "Rëdüçëš thë mãñã çóšt óƒ Hólý Lìght bý %s";
	L["Bonus_HolyLight_ManaCostPercent"] = "The cost of your Holy Light is reduced by %s\%";
	
	--Priest
	L["Bonus_Renew_Duration"] = "Increases the duration of your Renew spell by %s sec.";
	L["Bonus_PrayerOfHealing_ManaCostPercent"] = "Reduces the mana cost of your Prayer of Healing ability by %s\%";
	L["Bonus_GreaterHeal_HealingPercent"] = "Increases the healing from your Greater Heal ability by %s\%";
	L["Bonus_GreaterHeal_ManaCostPercent"] = "The cost of your Greater Heal is reduced by %s\%";
	
	--Druid
	L["Bonus_Regrowth_Duration"] = "Increases the duration of your Regrowth spell by %s sec.";
	L["Bonus_Lifebloom_Spellpower_Tick"] = "Increases the spell power on the periodic portion of your Lifebloom by %s";
	L["Bonus_Lifebloom_SpellPower_Final"] = "Increases the spell power of the final healing value of your Lifebloom by %s";
	L["Bonus_HealingTouch_HealingPercent"] = "Increases the healing from your Healing Touch ability by %s\%";
	L["Bonus_HealingTouch_Healing"] = "Increases the amount healed by Healing Touch by %s";
	L["Bonus_HealingTouch_ManaRefund"] = "Gain up to %s mana each time you cast Healing Touch ";
	L["Bonus_Rejuvenation_ManaCost"] = "Reduces the mana cost of Rejuvenation by %s";
	L["Bonus_Rejuvenation_ManaCostPercent"] = "The cost of your Rejuvenation is reduced by %s\%";
	L["Bonus_Rejuvenation_SpellPower"] = "Increases spell power of Rejuvenation by %s";
	L["Bonus_Regrowth_ManaCost"] = "Reduces the mana cost of Regrowth by %s";
	
	--Shaman
	L["Bonus_LesserHealingWave_ManaCostPercent"] = "Reduces the cost of your Lesser Healing Wave spell by %s\%";
	L["Bonus_ChainHeal_ManaCost"] = "Reduces the mana cost of Chain Heal by %s"
	L["Bonus_ChainHeal_ManaCostPercent"] = "Your Chain Heal ability costs %s\% less mana.";
	L["Bonus_ChainHeal_HealingBase"] = "Increases the base amount healed by Chain Heal by %s";
	L["Bonus_ChainHeal_HealingPercent"] = "Increases the amount healed by your Chain Heal ability by %s\%";
	L["Bonus_ChainHealAndHealingWave_HealingPercent"] = "Increases the healing done by your Chain Heal and Healing Wave by %s\%";
	L["Bonus_HealingWave_ManaCost"] = "Reduces the mana cost of Heaing Wave by %s";
	L["Bonus_HealingWave_SpellPower"] = "Increases spell power of Healing Wave by %s";
	L["Bonus_LesserHealingWave_SpellPower"] = "Increases spell power of Lesser Healing Wave by %s";

--------------------------------------------------	
-- ConfigUI.lua - HealPointsConfigUI:setTooltip --
--------------------------------------------------
    L["Number of targets"] = "Ñümbër óƒ tãrgëtš";
    L["NumberOfTargetsMessage"] = "Ñümbër óƒ tãrgëtš ýóü trý tó këëþ thë HóT çóñštãñtlý rüññìñg óñ (mãñã þërmìttìñg) ór ñümbër óƒ tãrgëtš ƒór ÂóÊ hëãlš.";
  
    L["Starting mana"] = "Štãrtìñg mãñã";
    L["StartingManaMessage"] = "Þërçëñtãgë óƒ mãñã ãvãìlãblë ãt thë štãrt óƒ thë çómþütãtìóñ.";
  
	L["Replenishment"] = "Rëþlëñìšhmëñt";
    L["ReplentishmentMessage"] = "Âššümë thãt thë Rëþlëñìšhmëñt büƒƒ ìš ãlwãýš ãçtìvë.";

    L["Divine Plea"] = "Ðìvìñë Þlëã";
    L["DivinePleaMessage"] = "Âššümë thãt Ðìvìñë Þlëã ìš üšëd óñ ëvërý çóóldówñ.";  

----------------------
-- CalculatorUI.lua --
----------------------
	L["1 healing spell power increases hp/cast by"] = "1 hëãlìñg šþëll þówër ìñçrëãšëš hþ/çãšt bý";
	L["1 healing spell power adds"] = "1 hëãlìñg šþëll þówër ãddš";
	L["1 healing spell power adds"] = "1 hëãlìñg šþëll þówër ãddš";
	
	L["HP/s:"] = "HÞ/š:";
	L["HP/mana:"] = "HÞ/mãñã:";
	L["HP/cast:"] = "HÞ/çãšt:";
	L["HP/manabar:"] = "HÞ/mãñãbãr:";
	L["Spell crit (%):"] = "Šþëll çrìt (%):";
	L["Cast time (s):"] = "Çãšt tìmë (š):";
	L["HP/tick:"] = "HÞ/tìçk:";
	L["Spell haste (%):"] = "Šþëll hãštë (%):";
	L["No spell selected"] = "Ñó šþëll šëlëçtëd";
	L["n/a"] = "ñ/ã"; --Abbreviation of "not applicable"
	L["Infinite"] = "Îñƒìñìtë";
	L["auto"] = "ãütó"
	